------------------------------------------------------
-- Beispielskript zur SNEK 6 im April 2018 in Nrnberg
-- Autor: Bernd Jungbluth
-- Keine Gewhrleistung, keine Haftung

-- Installation Beispieldatenbank SNEK 6
------------------------------------------------------

USE SNEK;
GO

-- Auswerten der Datenklassifizierung
SELECT	
		Schema_Name(o.schema_id) AS [Schema], O.[name] As Tabelle, c.[name] As Spalte, [VALUE] As Klassifizierung
FROM	
		sys.extended_properties P
		INNER JOIN	sys.objects O 
					ON P.major_id = O.object_id
		INNER JOIN	sys.columns C
					ON	P.major_id = C.object_id
					AND	P.minor_id = C.column_id
WHERE	
		[value] = 'Confidential - GDPR'
		OR
		[value] = 'Highly Confidential - GDPR'
ORDER BY
		[Schema], Tabelle;

