------------------------------------------------------
-- Beispielskript zur SNEK 6 im April 2018 in Nrnberg
-- Autor: Bernd Jungbluth
-- Keine Gewhrleistung, keine Haftung

-- Installation Beispieldatenbank SNEK 6
------------------------------------------------------

USE [master]
GO

-- Database Master Key anlegen
CREATE MASTER KEY 
	ENCRYPTION BY PASSWORD = 'AbderSNEK2018wirdverschlsselt!';  
GO

-- Zertifikat fr Backup anlegen
CREATE CERTIFICATE certBackupEncryption  
	WITH SUBJECT = 'Zertifikat zum Verschlsseln von Datenbanksicherungen',
	EXPIRY_DATE = '20301231';
GO  

-- Zertifikat sichern
BACKUP CERTIFICATE certBackupEncryption 
	TO FILE = 'D:\DSGVO und SQL Server\Zertifikate\certBackupEncryption.cer';
GO